DISPDATA_REGISTER_BLINKSTATE_FUNCS(3)

EXPERIMENTAL_FUNC
dispdata_register_blinkstate_funcs - Register callback functions for a blinkstate.

SYNOPSIS
#include <karma_dispdata.h>

void dispdata_register_blinkstate_funcs

(KDisplayDataClassBlinkState blinkstate, void (*refresh_func) (void *info, KDisplayDataClass dataclass), void *(*create_blinkentry) (void *info, KDisplayDataBlinkEntry be), void (*destroy_blinkentry) (void *info), void (*copy_blinkentry) (void *dest, void *source), void *info)

DESCRIPTION
Register callback functions for a blinkstate.

blinkstate
    The KDisplayDataClassBlinkState object.

dataclass
    The dataclass for refresh events.

refresh_func
    The function to be called to refresh the blinkstate interface.

info
    An arbitrary information pointer to be passed to <<refresh_func>> and <<create_blinkentry>>.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/